# arm_pid_instance_q15 Struct Reference

| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

- Data Structures
- Data Fields

Data Fields
arm_pid_instance_q15 Struct Reference

Instance structure for the Q15 PID Control.

## Data Fields

q15_t | A0
q31_t | A1
q15_t | state [3]
q15_t | Kp
q15_t | Ki
q15_t | Kd

## Field Documentation

q15_t arm_pid_instance_q15::A0

The derived gain, A0 = Kp + Ki + Kd .

Referenced by arm_pid_init_q15(), and arm_pid_q15().

q31_t arm_pid_instance_q15::A1

The derived gain A1 = -Kp - 2Kd | Kd.

Referenced by arm_pid_init_q15(), and arm_pid_q15().

q15_t arm_pid_instance_q15::Kd

The derivative gain.

Referenced by arm_pid_init_q15().

q15_t arm_pid_instance_q15::Ki

The integral gain.

Referenced by arm_pid_init_q15().

q15_t arm_pid_instance_q15::Kp

The proportional gain.

Referenced by arm_pid_init_q15().

q15_t arm_pid_instance_q15::state[3]

The state array of length 3.

Referenced by arm_pid_init_q15(), arm_pid_q15(), and arm_pid_reset_q15().